# TODO:
# - --with-user= (not root!) - is nobody OK, or some more specific user required?
Summary:	Gypsy - a GPS multiplexing daemon
Summary(pl.UTF-8):	Gypsy - demon przełączający dostęp do GPS
Name:		gypsy
Version:	0.9
Release:	8
License:	LGPL v2+ (library), GPL v2+ (daemon)
Group:		Daemons
Source0:	https://gypsy.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	e2d186df9c2cc3b70a027043e22acf1a
Patch0:		%{name}-link.patch
Patch1:		%{name}-0.8-unusedvar.patch
Patch2:		%{name}-glib.patch
Patch3:		%{name}-format-security.patch
Patch4:		%{name}-build.patch
URL:		https://gypsy.freedesktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	bluez-libs-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel >= 0.60
BuildRequires:	glib2-devel >= 1:2.18
BuildRequires:	gtk-doc >= 1.6
BuildRequires:	libtool
BuildRequires:	libgudev-devel >= 1.0
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to
access GPS data from multiple GPS sources concurrently.

%description -l pl.UTF-8
Gypsy to demon multipleksujący GPS, pozwalający wielu klientom na
naprzemienny dostęp do danych GPS z wielu źródeł.

%package libs
Summary:	Gypsy library
Summary(pl.UTF-8):	Biblioteka gypsy
Group:		Libraries
Conflicts:	gypsy < 0.8

%description libs
Gypsy GPS multiplexing library.

%description libs -l pl.UTF-8
Biblioteka gypsy multipleksująca dostęp do usługi GPS.

%package devel
Summary:	Development package for gypsy
Summary(pl.UTF-8):	Pakiet programistyczny gypsy
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-glib-devel >= 0.60

%description devel
Header files for development with gypsy.

%description devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem gypsy

%package static
Summary:	Static gypsy library
Summary(pl.UTF-8):	Statyczna biblioteka gypsy
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gypsy library.

%description static -l pl.UTF-8
Statyczna biblioteka gypsy.

%package apidocs
Summary:	Gypsy API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gypsy
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
This package contains developer documentation for gypsy.

%description apidocs -l pl.UTF-8
Dokumentacja programisty do gypsy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libgypsy.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gypsy-daemon
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/Gypsy.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gypsy.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Gypsy.service

%files libs
%defattr(644,root,root,755)
%doc AUTHORS LICENSE NEWS TODO
%attr(755,root,root) %{_libdir}/libgypsy.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgypsy.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgypsy.so
%{_includedir}/gypsy
%{_pkgconfigdir}/gypsy.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgypsy.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gypsy
%changelog
* Sat Jul 27 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/gypsy.git;a=log;h=master

* Sat Mar 23 2019 Jakub Bogusz <qboosh@pld-linux.org> e1c17d3
- drop .la file; release 8

* Fri Mar 15 2019 Jan Palus <atler@pld-linux.org> 50dd43c
- fix build; rel 7

* Wed Jan 24 2018 Marcin Krol <hawk@tld-linux.org> c8e84d1
- BR libgudev-devel

* Wed Jan 24 2018 Marcin Krol <hawk@tld-linux.org> 9b16ade
- fix build with -Werror=format-security

* Wed Mar 04 2015 Jan Rękorajski <baggins@pld-linux.org> 7076b1d
- release 5 (by relup.sh)

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> b8cb29f
- noarch apidocs

* Sun Jul 21 2013 Jan Rękorajski <baggins@pld-linux.org> ccf9651
- release 3 (by relup.sh)

* Thu Apr 11 2013 Marcin Krol <hawk@tld-linux.org> c016554
- one %{_sysconfdir} too much

* Mon Apr 08 2013 Marcin Krol <hawk@tld-linux.org> 11e8981
- %config for config files, use %{_sysconfdir}

* Mon Apr 08 2013 Marcin Krol <hawk@tld-linux.org> 3bc51c0
- gypsy 0.9 + fix for building with glib >= 2.35

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> dfcdf5f
- from fc

* Sat Jan 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b49f718
- rel 1; about TODO - fc specifies no user for example

* Sun Jan 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 2e7e688
- -libs Conflicts: gypsy before split
- gpsbt seems to be maemo-specific component (for internal access to GPS in Nokia mobiles)

* Sun Jan 16 2011 Jakub Bogusz <qboosh@pld-linux.org> 4fe85bd
- closer to PLD standard
- updated to 0.8
- added link patch (link only daemon with libbluetooth)
- pl
- separated -libs (no running daemons for development)
- release 0.1 (--with-user should be different than default root)

* Sun Nov 15 2009 zbyniu <zbyniu@pld-linux.org> 46497af
- BR: pkgconfig

* Mon Aug 10 2009 Patryk Zawadzki <patrys@room-303.com> 7370879
- initial PLD release

